Create a Comment

Auth

Creates a comment for the given Resource.

Path parameters

resource_type string required

The kind of Resource that a Comment belongs to. Should be one of [elasticsearch, kibana, apm, appsearch, enterprise_search, integrations_server, allocator, constructor, runner, proxy].

resource_id string required

Id of the Resource that a Comment belongs to.

Request body

Data for comment creation

message string required

The message for the Comment.

Responses

The Comment that was just created.

application/json
id string required

The id of this Comment

user_id string required

The user id of the user who wrote this Comment

message string required

The message content of this Comment

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)